DOM::HTMLLIElement class Reference (khtml Library)

| # khtml Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# DOM::HTMLLIElement Class Reference

List item. More...

`#include <html_list.h>`

Inheritance diagram for DOM::HTMLLIElement:

[legend]
Collaboration diagram for DOM::HTMLLIElement:

[legend]
List of all members.

## Public Member Functions
| HTMLLIElement (const HTMLLIElement &other)
| HTMLLIElement (const Node &other)
HTMLLIElement & | operator= (const HTMLLIElement &other)
HTMLLIElement & | operator= (const Node &other)
DOMString | type () const
| List item bullet style.
void | setType (const DOMString &)
| see type
long | value () const
| Reset sequence number when used in `OL` See the value attribute definition in HTML 4.0.
void | setValue (long)
| see value
## Protected Member Functions
| HTMLLIElement (HTMLLIElementImpl *impl)

## Detailed Description

List item.

See the LI element definition in HTML 4.0.

Definition at line 131 of file html_list.h.

## Member Function Documentation

DOMString HTMLLIElement::type | ( |  | ) | const

| List item bullet style. See the type attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0. Definition at line 153 of file html_list.cpp.

void HTMLLIElement::setType | ( | const DOMString & |  | ) |

| see type Definition at line 159 of file html_list.cpp.

long HTMLLIElement::value | ( |  | ) | const

| Reset sequence number when used in `OL` See the value attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0. Definition at line 164 of file html_list.cpp. Referenced by setValue().

void HTMLLIElement::setValue | ( | long |  | ) |

| see value Definition at line 170 of file html_list.cpp. References QString::number(), and value().

The documentation for this class was generated from the following files:

- html_list.h
- html_list.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:39:07 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001